Type to search.

Delete a links library item

Base URL
https://{kibana_url}
  • DELETE /api/links/{id}
Auth The Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats. Availability Planned We plan to add this functionality in a future Elastic Stack update. Subject to changes. Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments. This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes.

Permanently deletes a links library item by ID.

Path parameters

id string · max length: 250 required

The unique ID of the links library item, as returned by the create or search endpoints.

Header parameters

kbn-xsrf string required

A required header to protect against CSRF attacks

Responses

204

No content, the links library item was successfully deleted.

400

invalid request

403

forbidden

404

A links library item with the given ID was not found.